{
  "schema_version": "1.4.0",
  "id": "GHSA-m9q8-9m2h-84gh",
  "modified": "2022-05-14T01:20:24Z",
  "published": "2022-05-14T01:20:24Z",
  "aliases": [
    "CVE-2018-20699"
  ],
  "details": "Docker Engine before 18.09 allows attackers to cause a denial of service (dockerd memory consumption) via a large integer in a --cpuset-mems or --cpuset-cpus value, related to daemon/daemon_unix.go, pkg/parsers/parsers.go, and pkg/sysinfo/sysinfo.go.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2018-20699"
    },
    {
      "type": "WEB",
      "url": "https://github.com/docker/engine/pull/70"
    },
    {
      "type": "WEB",
      "url": "https://github.com/moby/moby/pull/37967"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2019:0487"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-400"
    ],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2019-01-12T02:29:00Z"
  }
}